Is Anyone Else getting this error on their phones??

  • When I build with the new Construct 3 runtime, (debug APK), my Galaxy Note phone running android 6.0.1/latest version of Chrome, and try to open it on my phone it always throws up an error:

    "Browser not supported"

    "This content is not supported in this browser. Try installing any available software updates, or try using a different browser.

    (So I installed The Firefox Browser and set it as default, same error pops up when trying to run Construct 3 games....)

    Today I got this error when I built a construct 3 game with minimum OS version 6.0.0:

    "Software update needed"

    "This content is not supported because your device's software is out-of-date. Try installing any available software updates. Alternatively try on a different device."

    Then I installed another game made by a Construct 3 user and tried to run it, same error popped up. Then I saw in his app's reviews other people were complaining about the same error and giving it low stars).

    Is this really the kind of service we are giving customers with Construct??????

  • Oh, and my phone is fully up to date, latest OS, latest version of Chrome, etc.

    Many, many other people are in the same boat as me...

  • Why does Construct have to be so riddled with problems?????? Can't we just have a software solution that works and doesn't throw up browser errors when opening and trying to run a simple app on our phones???????

  • Go into phone dev tool and look which webview is it using, switch to chromes. Try updating your webview.

  • I set chrome as my default browser. Not sure where to find webview...

    I'm concerned customers won't know they need to change their webview either

  • Try updating webview app. Look if system update has it on list or get new from app store(system should update it by default, you may have ignored it).

    Look systems apps -> webview and put down the version you have.

    I don't have some old phone to test, but newer ones don't use internal webview anymore, but older one should still use and be able to update it, least to somepoint(i am not 100% sure but it should be like this)

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • Thanks, I found "Android System WebView" in the google play store and updated it. Now it works.......

    Just concerned about people that don't know how to do this though.........

  • Thanks, I found "Android System WebView" in the google play store and updated it. Now it works.......

    Just concerned about people that don't know how to do this though.........

    If it's Nougat or above, Android System Webview is disabled because its function is covered by Chrome now.

    That's Android 7 and above, so only devices below Android 7 might have a problem if WebView is not up to date.

  • Just makes me feel bad for all the customers that are below 7 currently.

    That's precisely 51.5% of Android users (greater than half of all android users) that may have problems with Construct 3 builds...

  • Anyway, hate to leave them all in the dust.....wish our apps just worked when they download them and pay for them......

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)